Bug Hunting Session
Bug 126784 - Writer change not selected columns width
Summary: Writer change not selected columns width
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-08 23:07 UTC by Angel
Modified: 2019-09-02 06:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (115.50 KB, application/msword)
2019-08-08 23:08 UTC, Angel
Details
tdf102290_scenarios2.odt: testing document (20.80 KB, application/vnd.oasis.opendocument.text)
2019-08-21 17:10 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Angel 2019-08-08 23:07:19 UTC
Description:
If you have a table with one of the rows with joined cells and want to have the same size in some (not in all) of the columns, Writer adjust ALL the columns with

Steps to Reproduce:
1.Open the example file
2.Note row two has joined cells
3.Select columns "2 pax" to 9"pax" in some rows(makes no diference), don´t select the joined cells line
4. mouse right botton -> Size -> "Distribuir columnas uniformemente" (Maybe some like same size columns in english)

Expected result: The table is adjusted and all the columns selected have the same size, but first column (not selected) remains with the original width

Result: All the columns, included the first one are resized and have the same width

Note: If you don´t have joined cells in the table it works well

Actual Results:
Result: All the columns, included the first one are resized and have the same width

Expected Results:
Expected result: The table is adjusted and all the columns selected have the same size, but first column (not selected) remains with the original width


Reproducible: Always


User Profile Reset: No



Additional Info:
Note: If you don´t have joined cells in the table it works well
Comment 1 Angel 2019-08-08 23:08:02 UTC
Created attachment 153248 [details]
Example file
Comment 2 Durgapriyanka 2019-08-09 21:49:11 UTC
Thank you for reporting the bug. I can reproduce the bug in

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

But, not in 

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Dieter Praas 2019-08-19 13:12:53 UTC
(In reply to Durgapriyanka from comment #2)
> Thank you for reporting the bug. I can reproduce the bug in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
> CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
> TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
> Locale: en-US (en_US); UI-Language: en-US
> Calc: threaded

=> NEW
Comment 4 Xisco Faulí 2019-08-20 09:22:13 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ab18c17d70e1dcf5cf9db38256d35e6af479373e

author	Justin Luth <justin_luth@sil.org>	2018-09-22 10:15:32 +0300
committer	Justin Luth <justin_luth@sil.org>	2018-10-12 05:52:21 +0200
commit	ab18c17d70e1dcf5cf9db38256d35e6af479373e (patch)
tree	9019211501ca5788dfbd008ba8840bc350b440d4
parent	144da6d5079bcd435e6637cb5cf95305f3ec1306 (diff)
tdf#64242 sw optimal column width, not minimize

Bisected with: bibisect-linux64-6.2

Adding Cc: to Justin Luth
Comment 5 Justin L 2019-08-21 17:10:50 UTC
Created attachment 153558 [details]
tdf102290_scenarios2.odt: testing document

Thanks for finding/reporting this bug. Sorry to have caused the trouble.

The last table in this testing example shows why I made the problematic change. If you just select the top row, and optimize, then it makes a really messy layout for the picture and the sub-table.

However, trying to prevent the user from making a mess is not worth it if merged cells can mess up optimizing/distributing in other situations. So I'll revert the part that checks the whole column.
Comment 6 Justin L 2019-08-22 19:31:44 UTC
proposed fix at https://gerrit.libreoffice.org/77976
Comment 7 Commit Notification 2019-08-23 05:19:55 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d0e268ca18ec0d907980ca608c97fe8f727d20df%5E%21

tdf#126784 sw: only distribute across selected columns

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-08-27 07:38:27 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/70916f3a0a99be0d79f3a20aade05ccd7ead35ac%5E%21

tdf#126784 sw: only distribute across selected columns

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-08-28 07:29:48 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4a4e0cb67eab422dffda6f3339031db5b62be77a%5E%21

tdf#126784 sw: only distribute across selected columns

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-09-02 06:53:50 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Justin Luth, thanks for fixing this issue!